# XQilla Simple API Documentation

# ASTNodeEventGenerator Class Reference

`#include <EventGenerator.hpp>`

Inheritance diagram for ASTNodeEventGenerator:
[legend]

List of all members.

## Public Member Functions

| ASTNodeEventGenerator (const ASTNode *ast, bool preserveNS, bool preserveType)
virtual EventGenerator::Ptr | generateEvents (EventHandler *events, DynamicContext *context)
| Returns the result of this expression via the EventHandler provided.

## Protected Attributes

const ASTNode * | ast_
bool | preserveNS_
bool | preserveType_

## Constructor & Destructor Documentation

ASTNodeEventGenerator::ASTNodeEventGenerator | ( | const ASTNode * | ast,
|  | bool | preserveNS,
|  | bool | preserveType |
| ) |  |  |

## Member Function Documentation

virtual EventGenerator::Ptr ASTNodeEventGenerator::generateEvents | ( | EventHandler * | events,
|  | DynamicContext * | context |
| ) |  |  | `[virtual]`

Returns the result of this expression via the EventHandler provided.

An EventGenerator may be returned to be called as a tail call optimization

Implements EventGenerator.

## Member Data Documentation

const ASTNode* ASTNodeEventGenerator::ast_ `[protected]`

bool ASTNodeEventGenerator::preserveNS_ `[protected]`

bool ASTNodeEventGenerator::preserveType_ `[protected]`

The documentation for this class was generated from the following file:

- EventGenerator.hpp